Skip to main content
GET
/
api
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://mainnet.mirrornode.hedera.com/api/v1/transactions
import requests

url = "https://mainnet.mirrornode.hedera.com/api/v1/transactions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://mainnet.mirrornode.hedera.com/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactions": [
    {
      "batch_key": {
        "_type": "ED25519",
        "key": "7934a257a6144fabc8fbdeeaa5810662adb89e7b6978ace46a74fdb2d12bd4b2"
      },
      "bytes": null,
      "charged_tx_fee": 7,
      "consensus_timestamp": "1234567890.000000007",
      "entity_id": "0.0.2281979",
      "high_volume": false,
      "high_volume_pricing_multiplier": 1,
      "max_custom_fees": [
        {
          "account_id": "0.0.8",
          "amount": 1000,
          "denominating_token_id": "0.0.2000"
        },
        {
          "account_id": "0.0.8",
          "amount": 1500,
          "denominating_token_id": null
        }
      ],
      "max_fee": 33,
      "memo_base64": null,
      "name": "CRYPTOTRANSFER",
      "nft_transfers": [
        {
          "is_approval": true,
          "receiver_account_id": "0.0.121",
          "sender_account_id": "0.0.122",
          "serial_number": 1,
          "token_id": "0.0.123"
        },
        {
          "is_approval": true,
          "receiver_account_id": "0.0.321",
          "sender_account_id": "0.0.422",
          "serial_number": 2,
          "token_id": "0.0.123"
        }
      ],
      "node": "0.0.3",
      "nonce": 0,
      "parent_consensus_timestamp": "1234567890.000000007",
      "result": "SUCCESS",
      "scheduled": false,
      "staking_reward_transfers": [
        {
          "account": 3,
          "amount": 150
        },
        {
          "account": 9,
          "amount": 200
        }
      ],
      "transaction_hash": "vigzKe2J7fv4ktHBbNTSzQmKq7Lzdq1/lJMmHT+a2KgvdhAuadlvS4eKeqKjIRmW",
      "transaction_id": "0.0.8-1234567890-000000006",
      "token_transfers": [
        {
          "token_id": "0.0.90000",
          "account": "0.0.9",
          "amount": 1200,
          "is_approval": false
        },
        {
          "token_id": "0.0.90000",
          "account": "0.0.8",
          "amount": -1200,
          "is_approval": false
        }
      ],
      "transfers": [
        {
          "account": "0.0.3",
          "amount": 2,
          "is_approval": false
        },
        {
          "account": "0.0.8",
          "amount": -3,
          "is_approval": false
        },
        {
          "account": "0.0.98",
          "amount": 1,
          "is_approval": false
        },
        {
          "account": "0.0.800",
          "amount": 150,
          "is_approval": false
        },
        {
          "account": "0.0.800",
          "amount": 200,
          "is_approval": false
        }
      ],
      "valid_duration_seconds": 11,
      "valid_start_timestamp": "1234567890.000000006"
    }
  ],
  "links": {
    "next": null
  }
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}

Query Parameters

account.id
string

The ID of the account to return information for

Pattern: ^((gte?|lte?|eq|ne)\:)?(\d{1,10}\.\d{1,10}\.)?\d{1,10}$
limit
integer<int32>
default:25

The maximum number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$
transactiontype
enum<string>
Available options:
ATOMICBATCH,
CONSENSUSCREATETOPIC,
CONSENSUSDELETETOPIC,
CONSENSUSSUBMITMESSAGE,
CONSENSUSUPDATETOPIC,
CONTRACTCALL,
CONTRACTCREATEINSTANCE,
CONTRACTDELETEINSTANCE,
CONTRACTUPDATEINSTANCE,
CRYPTOADDLIVEHASH,
CRYPTOAPPROVEALLOWANCE,
CRYPTOCREATEACCOUNT,
CRYPTODELETE,
CRYPTODELETEALLOWANCE,
CRYPTODELETELIVEHASH,
CRYPTOTRANSFER,
CRYPTOUPDATEACCOUNT,
ETHEREUMTRANSACTION,
FILEAPPEND,
FILECREATE,
FILEDELETE,
FILEUPDATE,
FREEZE,
HOOKSTORE,
LEDGERIDPUBLICATION,
NODECREATE,
NODEDELETE,
NODESTAKEUPDATE,
NODEUPDATE,
REGISTEREDNODECREATE,
REGISTEREDNODEDELETE,
REGISTEREDNODEUPDATE,
SCHEDULECREATE,
SCHEDULEDELETE,
SCHEDULESIGN,
SYSTEMDELETE,
SYSTEMUNDELETE,
TOKENAIRDROP,
TOKENASSOCIATE,
TOKENBURN,
TOKENCANCELAIRDROP,
TOKENCLAIMAIRDROP,
TOKENCREATION,
TOKENDELETION,
TOKENDISSOCIATE,
TOKENFEESCHEDULEUPDATE,
TOKENFREEZE,
TOKENGRANTKYC,
TOKENMINT,
TOKENPAUSE,
TOKENREJECT,
TOKENREVOKEKYC,
TOKENUNFREEZE,
TOKENUNPAUSE,
TOKENUPDATE,
TOKENUPDATENFTS,
TOKENWIPE,
UNCHECKEDSUBMIT,
UTILPRNG
result
enum<string>

The transaction success type.

Available options:
success,
fail
type
enum<string>

The transaction account balance modification type.

Available options:
credit,
debit

Response

OK

transactions
object[]